//--------------------------------------------------------------
// File     : stm32_ub_tiled_player.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_TILED_PLAYER_H
#define __STM32F4_UB_TILED_PLAYER_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32_ub_tiled_global.h"
#include "stm32_ub_tiled_map.h"



//--------------------------------------------------------------
// Image vom Tileset vom Player [USER_P03]
//--------------------------------------------------------------
extern UB_Image Image_Player;                 // (auch C-File einbinden)


//--------------------------------------------------------------
// Startposition vom Player [USER_P04]
// (nach PowerOn)
//--------------------------------------------------------------
#define   TILED_PLAYER_STARTX        7  // Starttile vom PLAYER (x)
#define   TILED_PLAYER_STARTY       33  // Starttile vom PLAYER (y)


//--------------------------------------------------------------
// Zielposition vom Player [USER_P05]
//--------------------------------------------------------------
#define   TILED_PLAYER_ZIELX        21  // Zieltile vom PLAYER (x)
#define   TILED_PLAYER_ZIELY         0  // Zieltile vom PLAYER (y)



//--------------------------------------------------------------
// USER : ab hier keine Aenderungen notwendig
//--------------------------------------------------------------



//--------------------------------------------------------------
// Tileset vom Player
//--------------------------------------------------------------
extern const TILED_TILESET_t  TILESET_PLAYER;


//--------------------------------------------------------------
// Sprite vom Player
//--------------------------------------------------------------
TILED_SPRITE_t   SPRITE_PLAYER;


//--------------------------------------------------------------
// Animation vom Player
//--------------------------------------------------------------
TILED_ANIMATION_t  ANIMATION_PLAYER;





//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void UB_Tiled_Player_Init(void);
void UB_Tiled_Player_Draw(void);
TILED_DIR_t UB_Tiled_Player_Move(TILED_DIR_t direction, uint32_t distance);



//--------------------------------------------------------------
#endif // __STM32F4_UB_TILED_PLAYER_H
