//--------------------------------------------------------------
// File     : stm32_ub_tiled_terrain.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_TILED_TERRAIN_H
#define __STM32F4_UB_TILED_TERRAIN_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"



//--------------------------------------------------------------
// Terrain-File der MAP [USER_T02]
// (abhaengig vom TSX-File der MAP)
//--------------------------------------------------------------
#define  TERRAIN_MAP_NAME  File_Terrain  // Name vom Terrain-File
#define  TERRAIN_MAP_TYPES            4  // Anzahl der Terrain-Types



//--------------------------------------------------------------
// USER : ab hier keine Aenderungen notwendig
//--------------------------------------------------------------



//--------------------------------------------------------------
// Struktur von einem File im Flash
//--------------------------------------------------------------
typedef struct UB_File_t
{
  const uint8_t *table; // Tabelle mit den Daten
  uint32_t size;        // Anzahl der Bytes
}UB_File;


//--------------------------------------------------------------
// Terrain-Typ fuer den Player
//--------------------------------------------------------------
typedef enum {
  TERRAIN_BLOCKED =0,  // terrain-typ gesperrt
  TERRAIN_FREE,        // terrain-typ begehbar
  TERRAIN_DEADLY       // terrain-typ toedlich
}TERRAIN_TYP_t;
extern const TERRAIN_TYP_t PLAYER_TERRAIN[];


//--------------------------------------------------------------
// File vom Terrain
//--------------------------------------------------------------
extern UB_File TERRAIN_MAP_NAME;         // (auch C-File einbinden)


//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
uint8_t UB_Tiled_Terrain_Parse_TSX(UB_File *file);



//--------------------------------------------------------------
#endif // __STM32F4_UB_TILED_TERRAIN_H
